DiskRangeList.MutateHelper (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.common.io

## Class DiskRangeList.MutateHelper

- java.lang.Object
- - org.apache.hadoop.hive.common.io.DiskRange
  - - org.apache.hadoop.hive.common.io.DiskRangeList
    - - org.apache.hadoop.hive.common.io.DiskRangeList.MutateHelper

- Enclosing class:
    DiskRangeList

      public static class DiskRangeList.MutateHelper
      extends DiskRangeList

  List in-place mutation helper - a bogus first element that is inserted before list head, and thus remains constant even if head is replaced with some new range via in-place list mutation. extract() can be used to obtain the modified list.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `DiskRangeList.CreateHelper, DiskRangeList.MutateHelper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `next, prev`

    - ### Fields inherited from class org.apache.hadoop.hive.common.io.DiskRange

      `end, offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutateHelper(DiskRangeList head)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiskRangeList` | `extract()`
    `DiskRangeList` | `get()`

    - ### Methods inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `getTotalLength, hasContiguousNext, insertAfter, insertPartAfter, insertPartBefore, listSize, listToArray, removeAfter, removeSelf, replaceSelfWith, split`

    - ### Methods inherited from class org.apache.hadoop.hive.common.io.DiskRange

      `equalRange, equals, getData, getEnd, getLength, getOffset, hasData, hashCode, merge, sliceAndShift, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutateHelper

          public MutateHelper(DiskRangeList head)

  - ### Method Detail

    - #### get

          public DiskRangeList get()

    - #### extract

          public DiskRangeList extract()

Copyright © 2016 The Apache Software Foundation. All rights reserved.